import logging, json

LOGGER = logging.getLogger(__name__)

FILEPATH = 'data/topo_nsfnet.json'

class InMemoryDatabase:
    def __init__(self, filepath=FILEPATH, **parameters):
        with open(filepath, 'r') as f:
            self.json_topology = json.loads(f.read())

    def get_topology(self):
        return(self.json_topology)
